Organizations
API for managing child organizations of a channel partner
Registers a new child organization under the channel partner. Creates the organization, sets up user memberships, and establishes the partnership relationship.
Name of the child organization. At most 255 characters, and unique across all Archera organizations; a name already in use returns 409. The stored name gains a ' c/o ' suffix, which also counts towards the 255-character limit.
OK
Bad request
Unauthorized
Forbidden
Not found
Method not allowed
Conflict
Unprocessable Content
Internal server error
Default error response
POST /v2/partners/{partner_org_id}/orgs HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 322
{
"name": "text",
"labra_subscription_id": "text",
"users": [
{
"email": "name@gmail.com",
"role": "user"
}
],
"domain": null,
"primary_address": {
"line1": "text",
"line2": null,
"city": "text",
"state": "text",
"zip": "text",
"country": "text"
},
"aws_marketplace_offer_link": null,
"azure_marketplace_offer_link": null,
"gcp_marketplace_offer_link": null
}{
"id": "text",
"name": "text",
"memberships": [
{
"role": "user",
"username": "name@gmail.com"
}
],
"domain": null,
"primary_address": {
"line1": "text",
"line2": null,
"city": "text",
"state": "text",
"zip": "text",
"country": "text"
},
"aws_marketplace_offer_link": null,
"azure_marketplace_offer_link": null,
"gcp_marketplace_offer_link": null
}Invites users to the channel partner organization. Sends email invitations to the specified user emails with roles of user, admin, support, cloud_rep, restricted_user.
OK
Bad request
Unauthorized
Forbidden
Not found
Method not allowed
Conflict
Unprocessable Content
Internal server error
Default error response
POST /v2/partners/{partner_org_id}/orgs/{child_org_id}/invites HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 52
{
"users": [
{
"email": "name@gmail.com",
"role": "user"
}
]
}[
{
"role": "user",
"username": "name@gmail.com"
}
]Last updated
Was this helpful?

